---
name: Joe Drumtra
start_date: 2016-09-21
locality: Las Vegas, NV
country: USA
role: <a href="/job-families/sales/strategic-account-leader/">Strategic Account Leader
  (Pacific Northwest Area) </a>
reports_to: area-sales-mgr-west3
picture: joedrumtra.jpg
twitter: techpretender
gitlab: jdrumtra
departments:
- Sales
- Sales NQR
story: 'Joe is an accomplished sales professional with experience in advertising,
  infrastructure and cloud platform technologies and has spent enough time on the
  command line to know how to break just about everything.  Joe grew up in Chicago-land
  and has lived in Atlanta Georgia and Phoenix Arizona before moving to San Francisco
  California.  In his free time Joe is avid snowboarder, yogi and non-fiction reader.

'
